#include <stdlib.h>

typedef int fix48;

/* Fixed point multiply for number in 4+8 format:
   4 bits for the integral part and 8 bits for the fractional part.
   Positive numbers have the upper four bits set to zero.
   Negative numbers have the upper four bits set to one.
   Overflow silently gives an incorrect result. */
extern fix48 mul48(fix48 a, fix48 b);

#define add48(a,b) ((a)+(b))

#define sub48(a,b) ((a)-(b))

#define FIX48_TO_FLT(x) (((float)(int)x)/256.0)

#define FIX48(x) ((fix48)(int)((x)*256))

